<div class="row" ng-controller="territoriesTabController as tSelf" ng-init="tSelf.init('<?= $this->from ?>', '<?= $this->right ?>', <?= $this->object ? $this->object->getId() : 'null' ?>,  <?= $this->model ? $this->model : 'null'?>)">
    <div class="col-xs-12">
        <div class="row separator">
            <div class="col-xs-12">
                <leaflet id="map" height="250px"></leaflet>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <form ng-submit="tSelf.save();">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="form-group">
                                <label><?= ucfirst($this->translate('territory_entities')) ?></label>
                                <territory-select multiple="true" ng-disabled="!tSelf.from.object._rights.update" ng-model="tSelf.territories" configuration="{service: { apiParams: {col: ['id', 'name', 'parents.id', 'json']} } }"></territory-select>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12" ng-show="tSelf.from.object._rights.update">
                            <button type="submit" class="btn btn-submit" ng-disabled="tSelf.loading.save" >
                                <?= $this->icon('loading', '', ['ng-if' => 'tSelf.loading.save']) ?>
                                <?= $this->translate('form_button_save') ?>
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<?php
    $this->headScript()->appendFile($this->basepath('vendor/ui-leaflet/dist/ui-leaflet.min.js'))
                       ->appendFile($this->basepath('vendor/angular-simple-logger/dist/angular-simple-logger.light.min.js'))
                       ->appendFile($this->basepath('vendor/togeojson/togeojson.js'))
                       ->appendFile($this->basepath('vendor/leaflet/dist/leaflet.js'));

    $this->headLink()->appendStylesheet($this->basepath('vendor/leaflet/dist/leaflet.css'));

$this->inlineScript()->captureStart();
echo "appDependencies.push('nemLogging'); appDependencies.push('ui-leaflet');";
$this->inlineScript()->captureEnd();
